# Geladinhos da Elisa - Frontend

> Instruções para sistemas operacionais baseados em GNU/Linux

## Instruções de utilização

### Dependências

#### Instalação

- **Node.js**: [Documentação](https://github.com/nodesource/distributions)
  - Instale a última versão do Node.js;

### Compilação

- Clone este repositório:
    ```shell
    git clone https://git.al3xdev.com/puc/software-engineering-iii/tis-iii/geladinho-elisa-frontend.git
    ```
- Em: `src/js/vars.ts`:
    - Edite o valor `ApiHost` para a URL onde estará hospedado o backend/API;
      - **Atenção**: Não adicione uma barra (`/`) no final da URL.
    - Edite o valor `MainDocumentUrl` para a URL onde estará hospedado o website;
- Instale as dependências da aplicação:
    ```shell
    npm i
    ```
- Compile a aplicação:
    ```shell
    npm run build
    ```
  - A aplicação será compilada no diretório `./dist`;

### Utilização com webserver

- **Apache2**:
  - Habilitar o Módulo `mod_rewrite` (se ainda não estiver habilitado):
    ```shell
    sudo a2enmod rewrite
    sudo systemctl restart apache2
    ```
  - Editar o Arquivo de Configuração:
    - Se você estiver usando um arquivo `.htaccess`, adicione as seguintes regras a ele. Se não, você pode adicionar essas regras à seção `<Directory>` relevante ou ao arquivo de configuração do host virtual.
    ```apache
    <IfModule mod_rewrite.c>
        RewriteEngine On
        RewriteCond %{REQUEST_FILENAME} !-f
        RewriteCond %{REQUEST_FILENAME}.html -f
        RewriteRule ^(.*)$ $1.html [L]
    </IfModule>
    ```
  - Certifique-se de que AllowOverride está definido como All (se estiver usando .htaccess):
    - No seu arquivo de configuração do Apache (geralmente encontrado em `/etc/apache2/sites-available/000-default.conf` ou similar):
    ```apache
    <Directory /var/www/html>
    AllowOverride All
    </Directory>
    ```
  - Reiniciar o Apache:
      ```shell
      sudo systemctl restart apache2
      ```

- **NGINX**:
  - Editar o Arquivo de Configuração:
    - Abra o arquivo de configuração do bloco do servidor NGINX (geralmente localizado em `/etc/nginx/sites-available/default` ou similar).
    ```nginx
    server {
    listen 80;
    server_name seudominio.com;

    location / {
        try_files $uri $uri.html $uri/ =404;
    }

    # Outras configurações...
    }
    ```
  - Testar a Configuração do NGINX:
    ```shell
    sudo nginx -t
    ```
  - Reiniciar o NGINX:
    ```shell
    sudo systemctl restart nginx
    ```