import {ApiHost} from "@/js/vars";

export class Api {
    public async getFromApi(endpoint: string, itemId?: string): Promise<any> {
        let urlPath: string = endpoint;
        if (itemId){
            urlPath += `/${itemId}`
        }

        const response = await fetch(`${ApiHost}${urlPath}`);
        try {
            const data = await response.json();
            return data;
        } catch (e) {
            return null;
        }
    }

    public async postToApi(endpoint: string, body: any, itemId?: string): Promise<any> {
        let urlPath: string = endpoint;
        if (itemId){
            urlPath += `/${itemId}`
        }

        const response = await fetch(`${ApiHost}${urlPath}`, {
            method: "POST",
            body: JSON.stringify(body),
            headers: {
                "Content-Type": "application/json"
            }
        });
        const data = await response.json();
        return data;
    }

    public async putToApi(endpoint: string, body: any, itemId?: string): Promise<any> {
        let urlPath: string = endpoint;
        if (itemId){
            urlPath += `/${itemId}`
        }

        const response = await fetch(`${ApiHost}${urlPath}`, {
            method: "PUT",
            body: JSON.stringify(body),
            headers: {
                "Content-Type": "application/json"
            }
        });
        const data = await response.json();
        return data;
    }

    public async deleteFromApi(endpoint: string, itemId: string): Promise<any> {
        let urlPath: string = endpoint;
        if (itemId){
            urlPath += `/${itemId}`
        }

        const response = await fetch(`${ApiHost}${urlPath}`, {
            method: "DELETE"
        });
        const data = await response.json();
        return data;
    }
}