export interface PagesDir {
    order_confirmation: string,
    admin: string,
}

export interface DeliveryFeesModel {
    error: boolean,
    message: string,
    deliveryFees: DeliveryFees[]
}

interface DeliveryFees {
    id: number,
    deliveryFee: number
}

export interface OrderModel {
    success: boolean,
    message: string,
    pedidos: Order[]
}

interface Order {
    pedidoId: string,
    idCliente: string,
    geladinhos: OrderProductsModel[],
    statusPedido: number,
    date: number,
    deliveryFee: number
}

export interface OrderProductsModel {
    idProduto: string,
    nomeProduto: string,
    quantidade: number,
    price: number
}

export interface CustomerModel {
    success: boolean,
    message: string,
    clientes: Customer[]
}

interface Customer {
    idCliente: string,
    nome: string,
    endereco: string,
    numeroTelefone: string,
    numeroCasa: string,
    referenciaCasa: string,
    email: string
}

export interface ProductsModel {
    error: boolean,
    message: string,
    produtos: Products[]
}

interface Products {
    idGeladinho: string,
    nomeGeladinho: string,
    descricaoGeladinho: string,
    statusGeladinho: boolean,
    precoGeladinho: number
}

export interface IngredientsModel {
    error: boolean,
    message: string,
    data: Ingredient[]
}

interface Ingredient {
    id: string,
    name: string,
    quantity: number,
    cost: number
}

export interface StockModel {
    error: boolean,
    message: string,
    estoques: Stock[]
}

interface Stock {
    idProduto: string,
    quantidadeEstoque: number,
}

export interface FeedbackModel {
    error: boolean,
    message: string,
    feedbackList: Feedback[]
}

interface Feedback {
    id: string,
    clientId: string,
    name: string,
    publico: boolean,
    texto: string,
    rating: number,
    date: number
}

export interface SettingsModel {
    error: boolean,
    message: string,
    setting: Settings
}

interface Settings {
    key: string,
    value: string
}