const ordersData = [
    {
        id: 1,
        nomeCliente: "Cliente 1",
        statusPedido: "Ativo",
        pedido: [
            { titulo: 'Morango', preco: '$10', quantidade: '2' },
            { titulo: 'Chocolate', preco: '$20', quantidade: '1' }
        ]
    },
    {
        id: 2,
        nomeCliente: "Cliente 1",
        statusPedido: "Ativo",
        pedido: [
            { titulo: 'Nutella', preco: '$10', quantidade: '2' },
            { titulo: 'Chocolate', preco: '$20', quantidade: '1' }
        ]
    },
];

class Order {
    constructor(id, nomeCliente, precoTotal, statusPedido, endereco, dataHora, pedido) {
        this.id = id;
        this.nomeCliente = nomeCliente;
        this.precoTotal = precoTotal;
        this.statusPedido = statusPedido;
        this.endereco = endereco;
        this.dataHora = dataHora;
        this.pedido = pedido;
    }

    static getOrders() {
        return ordersData;
    }

    static updateOrdersStatus(ids, status) {
        ordersData.forEach(order => {
            if (ids.includes(order.id)) {
                order.statusPedido = status;
            }
        });
        UI.showOrderList();
    }
}

class UI {
    static showOrderList() {
        const orders = Order.getOrders();
        const orderList = document.querySelector('#order-list tbody');
        orderList.innerHTML = ''; 
        orders.forEach(order => UI.addToOrderList(order));
    }

    static addToOrderList(order) {
        const orderList = document.querySelector('#order-list tbody');
        const tableRow = document.createElement('tr');
        tableRow.setAttribute('data-id', order.id);
        const orders = order.pedido.map(item => `${item.titulo} (${item.quantidade})`);
        tableRow.innerHTML = `
            <td><input type="checkbox" class="order-checkbox" data-id="${order.id}"></td>
            <td>${order.id}</td>
            <td>${order.nomeCliente}</td>
            <td>${orders.join(', ')}</td>
            <td>${order.statusPedido}</td>
        `;
        orderList.appendChild(tableRow);
    }
}

document.addEventListener('DOMContentLoaded', () => {
    UI.showOrderList();

    document.getElementById('select-all').addEventListener('click', function() {
        const checkboxes = document.querySelectorAll('.order-checkbox');
        checkboxes.forEach(checkbox => {
            checkbox.checked = this.checked;
        });
    });

    document.getElementById('cancelar-pedidos-btn').addEventListener('click', () => {
        const selectedIds = Array.from(document.querySelectorAll('.order-checkbox:checked')).map(checkbox => parseInt(checkbox.dataset.id));
        Order.updateOrdersStatus(selectedIds, 'Cancelado');
    });
});
